Skip to main content
GET
/
api
/
agents
/
{agent_id}
/
calls
cURL
curl --request GET \
  --url https://api.ultravox.ai/api/agents/{agent_id}/calls \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.ultravox.ai/api/agents/{agent_id}/calls"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.ultravox.ai/api/agents/{agent_id}/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clientVersion": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "joined": "2023-11-07T05:31:56Z",
      "ended": "2023-11-07T05:31:56Z",
      "billedDuration": "<string>",
      "billedSideInputTokens": 123,
      "billedSideOutputTokens": 123,
      "firstSpeakerSettings": {
        "user": {
          "fallback": {
            "delay": "<string>",
            "text": "<string>",
            "prompt": "<string>"
          }
        },
        "agent": {
          "uninterruptible": true,
          "text": "<string>",
          "prompt": "<string>",
          "delay": "<string>"
        }
      },
      "joinUrl": "<string>",
      "shortSummary": "<string>",
      "summary": "<string>",
      "agent": {
        "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "agentId": "<string>",
      "experimentalSettings": "<unknown>",
      "metadata": {},
      "initialState": {},
      "requestContext": "<unknown>",
      "sipDetails": {
        "billedDuration": "<string>"
      },
      "inactivityMessages": [
        {
          "duration": "<string>",
          "message": "<string>"
        }
      ],
      "joinTimeout": "30s",
      "languageHint": "<string>",
      "maxDuration": "3600s",
      "medium": {
        "webRtc": {
          "dataMessages": {
            "pong": true,
            "state": true,
            "transcript": true,
            "clientToolInvocation": true,
            "dataConnectionToolInvocation": true,
            "playbackClearBuffer": true,
            "callStarted": true,
            "debug": true,
            "callEvent": true,
            "toolUsed": true,
            "userStartedSpeaking": true,
            "userStoppedSpeaking": true,
            "invokingTool": true
          }
        },
        "twilio": {
          "outgoing": {
            "to": "<string>",
            "from": "<string>",
            "additionalParams": {}
          },
          "dtmfHandling": {
            "ignore": true,
            "userTextMessage": {
              "text": "<string>"
            }
          }
        },
        "serverWebSocket": {
          "inputSampleRate": 123,
          "outputSampleRate": 123,
          "clientBufferSizeMs": 123,
          "dataMessages": {
            "pong": true,
            "state": true,
            "transcript": true,
            "clientToolInvocation": true,
            "dataConnectionToolInvocation": true,
            "playbackClearBuffer": true,
            "callStarted": true,
            "debug": true,
            "callEvent": true,
            "toolUsed": true,
            "userStartedSpeaking": true,
            "userStoppedSpeaking": true,
            "invokingTool": true
          },
          "mediaIdleTimeout": "<string>"
        },
        "telnyx": {
          "outgoing": {
            "to": "<string>",
            "from": "<string>",
            "additionalParams": {}
          },
          "dtmfHandling": {
            "ignore": true,
            "userTextMessage": {
              "text": "<string>"
            }
          }
        },
        "plivo": {
          "outgoing": {
            "to": "<string>",
            "from": "<string>",
            "additionalParams": {}
          },
          "dtmfHandling": {
            "ignore": true,
            "userTextMessage": {
              "text": "<string>"
            }
          }
        },
        "exotel": {
          "dtmfHandling": {
            "ignore": true,
            "userTextMessage": {
              "text": "<string>"
            }
          }
        },
        "sip": {
          "incoming": {},
          "outgoing": {
            "to": "<string>",
            "from": "<string>",
            "username": "<string>",
            "password": "<string>"
          }
        }
      },
      "model": "ultravox-v0.7",
      "recordingEnabled": false,
      "systemPrompt": "<string>",
      "temperature": 0,
      "timeExceededMessage": "<string>",
      "voice": "<string>",
      "externalVoice": {
        "elevenLabs": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "useSpeakerBoost": true,
          "style": 123,
          "similarityBoost": 123,
          "stability": 123,
          "pronunciationDictionaries": [
            {
              "dictionaryId": "<string>",
              "versionId": "<string>"
            }
          ],
          "optimizeStreamingLatency": 123,
          "maxSampleRate": 123,
          "enableSsmlParsing": true
        },
        "cartesia": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "emotion": "<string>",
          "emotions": [
            "<string>"
          ],
          "generationConfig": {
            "volume": 123,
            "speed": 123,
            "emotion": "<string>",
            "pronunciationDictId": "<string>"
          }
        },
        "lmnt": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "conversational": true
        },
        "google": {
          "voiceId": "<string>",
          "speakingRate": 123
        },
        "inworld": {
          "voiceId": "<string>",
          "modelId": "<string>",
          "speakingRate": 123,
          "temperature": 123,
          "applyTextNormalization": true
        },
        "respeecher": {
          "voiceId": "<string>",
          "model": "<string>",
          "seed": 123,
          "temperature": 123,
          "topK": 123,
          "topP": 123,
          "minP": 123,
          "presencePenalty": 123,
          "repetitionPenalty": 123,
          "frequencyPenalty": 123
        },
        "generic": {
          "url": "<string>",
          "headers": {},
          "body": {},
          "responseSampleRate": 123,
          "responseWordsPerMinute": 123,
          "responseMimeType": "<string>",
          "jsonAudioFieldPath": "<string>"
        }
      },
      "voiceOverrides": {
        "elevenLabs": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "useSpeakerBoost": true,
          "style": 123,
          "similarityBoost": 123,
          "stability": 123,
          "pronunciationDictionaries": [
            {
              "dictionaryId": "<string>",
              "versionId": "<string>"
            }
          ],
          "optimizeStreamingLatency": 123,
          "maxSampleRate": 123,
          "enableSsmlParsing": true
        },
        "cartesia": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "emotion": "<string>",
          "emotions": [
            "<string>"
          ],
          "generationConfig": {
            "volume": 123,
            "speed": 123,
            "emotion": "<string>",
            "pronunciationDictId": "<string>"
          }
        },
        "lmnt": {
          "voiceId": "<string>",
          "model": "<string>",
          "speed": 123,
          "conversational": true
        },
        "google": {
          "voiceId": "<string>",
          "speakingRate": 123
        },
        "inworld": {
          "voiceId": "<string>",
          "modelId": "<string>",
          "speakingRate": 123,
          "temperature": 123,
          "applyTextNormalization": true
        },
        "respeecher": {
          "voiceId": "<string>",
          "model": "<string>",
          "seed": 123,
          "temperature": 123,
          "topK": 123,
          "topP": 123,
          "minP": 123,
          "presencePenalty": 123,
          "repetitionPenalty": 123,
          "frequencyPenalty": 123
        },
        "generic": {
          "url": "<string>",
          "headers": {},
          "body": {},
          "responseSampleRate": 123,
          "responseWordsPerMinute": 123,
          "responseMimeType": "<string>",
          "jsonAudioFieldPath": "<string>"
        }
      },
      "transcriptOptional": true,
      "vadSettings": {
        "turnEndpointDelay": "<string>",
        "minimumTurnDuration": "<string>",
        "minimumInterruptionDuration": "<string>",
        "frameActivationThreshold": 123
      },
      "dataConnectionConfig": {
        "websocketUrl": "<string>",
        "audioConfig": {
          "sampleRate": 123
        },
        "dataMessages": {
          "pong": true,
          "state": true,
          "transcript": true,
          "clientToolInvocation": true,
          "dataConnectionToolInvocation": true,
          "playbackClearBuffer": true,
          "callStarted": true,
          "debug": true,
          "callEvent": true,
          "toolUsed": true,
          "userStartedSpeaking": true,
          "userStoppedSpeaking": true,
          "invokingTool": true
        },
        "headers": {}
      },
      "callbacks": {
        "joined": {
          "url": "<string>",
          "secrets": [
            "<string>"
          ]
        },
        "ended": {
          "url": "<string>",
          "secrets": [
            "<string>"
          ]
        },
        "billed": {
          "url": "<string>",
          "secrets": [
            "<string>"
          ]
        }
      }
    }
  ],
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "total": 123
}

Authorizations

X-API-Key
string
header
required

API key

Path Parameters

agent_id
string<uuid>
required

Query Parameters

cursor
string

The pagination cursor value.

pageSize
integer

Number of results to return per page.

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"

total
integer
Example:

123